This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1299241 - Backport fix for upstream issue #117 into f22 && f23
Backport fix for upstream issue #117 into f22 && f23
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-requests-toolbelt (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Parag Nemade
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1299243
  Show dependency treegraph
 
Reported: 2016-01-17 12:47 EST by Pavel Raiskup
Modified: 2016-01-28 13:29 EST (History)
1 user (show)

See Also:
Fixed In Version: python-requests-toolbelt-0.4.0-3.fc22 python-requests-toolbelt-0.4.0-3.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-28 13:23:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Backported fix. (6.17 KB, patch)
2016-01-17 12:47 EST, Pavel Raiskup
no flags Details | Diff

  None (edit)
Description Pavel Raiskup 2016-01-17 12:47:45 EST
Created attachment 1115640 [details]
Backported fix.

https://github.com/sigmavirus24/requests-toolbelt/issues/117

This breaks file uploads for (not yet released) copr-cli.  Can be tested with
packages from [1] copr.  100% reproducible for uploads of SRPMS > 9kB:

    $ copr build YOUR_PROJECT YOUR_SRCRPM

[1] https://copr.fedoraproject.org/coprs/praiskup/copr-dev/
Comment 1 Parag Nemade 2016-01-18 01:44:06 EST
All I get from installing copr-cli from above your repository is
Traceback (most recent call last):
  File "/usr/bin/copr", line 9, in <module>
    load_entry_point('copr-cli==1.46', 'console_scripts', 'copr-cli')()
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 558, in load_entry_point
    return get_distribution(dist).load_entry_point(group, name)
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 2682, in load_entry_point
    return ep.load()
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 2355, in load
    return self.resolve()
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 2361, in resolve
    module = __import__(self.module_name, fromlist=['__name__'], level=0)
  File "/usr/lib/python2.7/site-packages/copr_cli/main.py", line 27, in <module>
    import copr.exceptions as copr_exceptions
ImportError: No module named exceptions
Comment 2 Parag Nemade 2016-01-18 02:14:55 EST
Okay I got it I need to update all other 2 dependencies as well. I am able to reproduce this. Let me apply the patch attached here and build in F23 and F22. 
I was waiting for a month for a python-betamax package review for python-requests-toolbelt-0.5.1 update. I just got it approved finally. I will build that update in rawhide directly.
Comment 3 Pavel Raiskup 2016-01-18 02:29:36 EST
(In reply to Parag Nemade from comment #1)
> All I get from installing copr-cli from above your repository is
> Traceback (most recent call last):
> ImportError: No module named exceptions

Maybe we should consider explicit 'Require:' in spec file, thanks for the
hint:
https://git.fedorahosted.org/cgit/copr.git/commit/?id=f5741fe267

(In reply to Parag Nemade from comment #2)
> Okay I got it I need to update all other 2 dependencies as well. I am able
> to reproduce this. Let me apply the patch attached here and build in F23 and
> F22. 
> I was waiting for a month for a python-betamax package review for
> python-requests-toolbelt-0.5.1 update. I just got it approved finally. I
> will build that update in rawhide directly.

Thanks!
Comment 4 Fedora Update System 2016-01-18 03:04:01 EST
python-requests-toolbelt-0.4.0-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5f5984ecde
Comment 5 Fedora Update System 2016-01-18 03:06:48 EST
python-requests-toolbelt-0.4.0-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5a56ce8d8a
Comment 6 Fedora Update System 2016-01-19 22:54:17 EST
python-requests-toolbelt-0.4.0-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5a56ce8d8a
Comment 7 Fedora Update System 2016-01-19 22:55:28 EST
python-requests-toolbelt-0.4.0-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5f5984ecde
Comment 8 Fedora Update System 2016-01-28 13:23:17 EST
python-requests-toolbelt-0.4.0-3.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2016-01-28 13:29:38 EST
python-requests-toolbelt-0.4.0-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.